Skip to main content

Stock configuration API (0.1.0)

Download OpenAPI specification:Download

team-order-management: team-order-management@newstore.com

Use this API to configure the time (in seconds), after which a reservation expires in the NewStore platform.

When an order is placed in the platform, NewStore reserves the items specified in the order for a specified amount of time at a store or DC, so that they can be fulfilled.

For more information, see order routing.

Get reservation timeout

Retrieves the current configuration for reservation timeout set up for your business.

The value property in the response payload contains the timeout value in seconds.

Authorizations:
newStoreAccessToken

Responses

Response samples

Content type
application/json
{
  • "value": 600,
  • "updated_at": "2021-07-13T20:18:25Z"
}

Set reservation timeout

Specifies the configuration for reservation timeout set up for your business.

For more information on reservations, see the parent resource.

Authorizations:
newStoreAccessToken
Request Body schema: application/json
value
required
integer

The ATP reservation timeout. After this any unallocated reservations will be added back into ATP

Responses

Request samples

Content type
application/json
{
  • "value": 600
}

Response samples

Content type
application/problem+json
{
  • "messages": [
    ],
  • "request_id": "string"
}

Get effective ATP toggle

Retrieves the current configuration for enabling effective ATP for your business.

The value property in the response payload contains whether effective ATP is enabled.

Authorizations:
newStoreAccessToken

Responses

Response samples

Content type
application/json
{
  • "value": true,
  • "updated_at": "2021-07-13T20:18:25Z"
}

Set effective ATP toggle

Specifies the configuration for enabling effective ATP for your business.

Authorizations:
newStoreAccessToken
Request Body schema: application/json
value
required
boolean

Whether effective ATP is enabled

Responses

Request samples

Content type
application/json
{
  • "value": true
}

Response samples

Content type
application/problem+json
{
  • "messages": [
    ],
  • "request_id": "string"
}

routing-config

Enable capacity based routing feature

Retrieves the current configuration that determines if orders are routed to fulfillment locations based on a capacity aware algorithm.

Authorizations:
newStoreAccessToken

Responses

Response samples

Content type
application/json
{
  • "value": true,
  • "updated_at": "2021-08-23T12:54:05.721904Z"
}

Update capacity based routing feature toggle

Sets the current configuration that determines if orders are routed to fulfillment locations based on a capacity aware algorithm.

Authorizations:
newStoreAccessToken
Request Body schema: application/json
value
required
boolean or null

Tenant-based release toggle for the feature of capacity-based routing.

Responses

Request samples

Content type
application/json
{
  • "value": true
}

Response samples

Content type
application/json
{
  • "message": "string",
  • "messages": [
    ],
  • "request_id": "string"
}